// -----------------------------------------------------------------------
// eros@recoding.it
// jqprint 0.3
//
//  Patch for version 1.9.1 of jqgrid 
//  Patch for importing inline CSS
//
// - 19/06/2009 - some new implementations, added Opera support
// - 11/05/2009 - first sketch
//
// Printing plug-in for jQuery, evolution of jPrintArea: http://plugins.jquery.com/project/jPrintArea
// requires jQuery 1.3.x
//------------------------------------------------------------------------

(function($) {
    var opt;

    $.fn.jqprint = function (options) {
        opt = $.extend({}, $.fn.jqprint.defaults, options);

        var $element = (this instanceof jQuery) ? this : $(this);
       
    	var $iframe = $("<iframe  />");
   
        if (!opt.debug) { $iframe.css({ position: "absolute", width: "0px", height: "0px", left: "-600px", top: "-600px" }); }

        $iframe.appendTo("body");
        var doc = $iframe[0].contentWindow.document;
    
        if (opt.importCSS)
        {
        	// importing CSS from links
            if ($("link[media=print]").length > 0)
            {
                $("link[media=print]").each( function() {
                    doc.write("<link type='text/css' rel='stylesheet' href='" + $(this).attr("href") + "' media='print' />");
                });
            }
            else
            {
                $("link").each( function() {
                    doc.write("<link type='text/css' rel='stylesheet' href='" + $(this).attr("href") + "' />");
                });
            }
            
            //importing CSS from HTML
            if ($("style[type='text/css'][media=print]").length > 0) {
            	$("style[type='text/css'][media=print]").each( function() {
                	doc.write("<style type='text/css' media='print'>" + $(this).html() + "</style>");
                });
            } else {
            	$("style[type='text/css']").each( function() {
                	doc.write("<style type='text/css'>" + $(this).html() + "</style>");
                });
            }
        }
       
        if (opt.printContainer) { doc.write($element.outer()); }
        else { $element.each( function() { doc.write($(this).html()); }); }
       
        doc.close();
       
        $iframe[0].contentWindow.focus();
        setTimeout( function() { $iframe[0].contentWindow.print();}, 1000);
    }
   
    $.fn.jqprint.defaults = {
                debug: false,
                importCSS: true,
                printContainer: true,
                operaSupport: true
        };

    // Thanks to 9__, found at http://users.livejournal.com/9__/380664.html
    jQuery.fn.outer = function() {
      return $($('<div></div>').html(this.clone())).html();
    }
})(jQuery);

