function submitImportForm() {
	var filePath = $( "#importFileSelect" ).val();
	if(filePath == '') {
		$('#importValidationError').show();
		return;
	}else{
		$('#importValidationError').hide();
	}
	 $('#importMetadataFileForm').submit();
}

function importMetadataFile() {
	var popup = $('#popup-import');
	var importFileSelect = $("#importFileSelect");
	var fakeFileInput = $(".fakefile :input");
	
	popup.dialog({
		resizable: true, 
		height: "auto",
		width: "625px",
		modal: true,
		minWidth: 375,
		resize: function() {
			var popupWidth = popup.width();
			var inputWidth = popupWidth - 55;
			importFileSelect.width(inputWidth);
			fakeFileInput.width(inputWidth - 60);
		}
	});
	
	$('#importValidationError').hide();
	$( ".fileinputs" ).find('input').val('');
	$( ".fileinputs" ).find('input').select2('val', "");
	
	$( "#output" ).val('');
	
	$('#importCloseBtn').unbind('click').click(function() {
		$('#popup-import').dialog('close');
	});
	$('#importOkBtn').unbind('click').click(function() {
		$('#popup-import').dialog('close');
	});
	$( "#import-metadatafile-tabs" ).tabs({ active: 0, disabled: [ 1 ] });
   var options = { 
       target:      	'#output', 
       beforeSubmit:	beforeSubmitHandler, 
       success:     	successHandler, 
       error: 			errorHandler,
       type:			'post', 
       dataType:		'json' ,
       data: { 
    	   importFileSelect: '', 
    	   override: false 
       }
   }; 
   $('#importMetadataFileForm').ajaxForm(options); 
}

function errorHandler() {
	var generalErrorText = messages["metadatafile.import.error.general"];
	$("#output").html(generalErrorText);
}

function beforeSubmitHandler(formData, jqForm, options) { 
	var override = $('#overrideMetadataFile').is(':checked');
	// FIXME: workaround for IE (https://github.com/malsup/form/issues/294)
	//formData.push({name: 'override', value: override});
	options.data.override = override;
	var processingText = messages["popup.import.submitting.text"];
	$("#output").html(processingText);
	$( "#import-metadatafile-tabs" ).tabs( "enable", 1 );
 	$( "#import-metadatafile-tabs" ).tabs({ active: 1 });
    return true; 
} 
 
// post-submit callback 
function successHandler(responseText, statusText, xhr, $form)  { 
	var message = "<table width='100%'>";
	$.each(responseText.results, function(metadataFileName, result) {
		var resultMessage = messages['metadatafile.import.'+result]; 
		var style = result.indexOf("error") != -1 ? "import-error" : "import-success";
		message += "<tr><td class='import-filename "+style+"'>" + metadataFileName + "</td><td class='import-result "+style+"'>" + resultMessage + "</td></tr>"; 
	});
	message += "</table>";
	$("#output").html(message);
	
	if($('#list').length > 0) {
		$('#list').setGridParam({ page: 1 , datatype: 'json'}).trigger( 'reloadGrid' );
	}
} 

// init breadcrumbs
$("#top-breadcrumbs").ready(function() {
	// check if div exist (not on index.htm)
	var div = $("#top-breadcrumbs");
	if (div.length == 0) 
		return;
	
	var url = document.URL;
	
	$.ajax({
		url: "getBreadcrumb.htm",
		type: "GET",
		dataType:'json',
		data: { 	
			"url": url
		},
		cache: false,
		success: function(response, statusText, xhr) {
			if (response.success) {
				// create fake list
				var listElement = $('<li></li>');
				var linkElement = $('<a></a>');
				var breadcrumbDiv = $("#top-breadcrumbs");
				
				var breadcrumbList = $(response.breadcrumbs);
				
				breadcrumbList.each(function(index, element) {
					var cloneListElement = listElement.clone(true);
					
					if (element.url !== null && element.url !== '') {
						var cloneLinkElement = linkElement.clone(true);
						
						cloneLinkElement.html(element.name);
						cloneLinkElement.attr("href", element.url);
						cloneListElement.html(cloneLinkElement);
					} else {
						cloneListElement.html(element.name);
					}
					
					breadcrumbDiv.prepend(cloneListElement);
				});
			}
		},
		error: function() {
			showHeaderErrorNotification();
		},
		statusCode: {
			500: function() {
				showHeaderErrorNotification();
			},
		  	404: function() {
		  		showHeaderErrorNotification();
			}
		}
	});
});